org.apache.sling.maven.projectsupport

## Class RunMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.projectsupport.AbstractBundleListMojo
    - - org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo
      - - org.apache.sling.maven.projectsupport.AbstractLaunchpadStartingMojo
        - - org.apache.sling.maven.projectsupport.RunMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo, org.apache.sling.launchpad.base.shared.Notifiable

    @Mojo(name="run",
          requiresDependencyResolution=TEST)
    public class RunMojo
    extends AbstractLaunchpadStartingMojo

Run a Launchpad application.

### Field Summary

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo

`BUNDLE_PATH_PREFIX, CONFIG_PATH_PREFIX, defaultBundleList, JAR, mavenFileFilter, WAR`

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`bundleListFile, commonSlingBootstrap, commonSlingProps, ignoreBundleListConfig, mavenSession, PARTIAL, project, projectHelper, standaloneSlingBootstrap, standaloneSlingProps, webappSlingBootstrap, webappSlingProps`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`RunMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.sling.launchpad.base.impl.Sling` `startSling(org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider, Map<String,String> props, org.apache.felix.framework.Logger logger)`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractLaunchpadStartingMojo

`executeWithArtifacts, initArtifactDefinitions, initBundleList, stopped, stopSling, updated`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractUsingBundleListMojo

`execute, getConfigDirectory, getInitializedBundleList, getSlingBootstrap, getSlingProperties, shouldCopy`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`copyDirectory, getArtifact, getArtifact`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RunMojo

    public RunMojo()

### Method Detail

#### startSling

    protected org.apache.sling.launchpad.base.impl.Sling startSling(org.apache.sling.launchpad.api.LaunchpadContentProvider resourceProvider,
                                                                    Map<String,String> props,
                                                                    org.apache.felix.framework.Logger logger)
                                                             throws org.osgi.framework.BundleException

Specified by:
  `startSling` in class `AbstractLaunchpadStartingMojo`
Throws:
  `org.osgi.framework.BundleException`